package cn.com.countrygarden.bi.main.service.review;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.review.ReviewGrade;

/**
 * 评选人级别-业务逻辑层
 *
 * @author 汤婷
 * @email www.justintoforest@gamail.com
 * @url 
 * @date 2018-06-25
 */
public interface ReviewGradeService {

    Result queryPageList(ReviewGrade reviewGrade, int page, int size);

    Result queryById(Integer id);

    Result add(ReviewGrade reviewGrade, AccessToken accessToken);

    Result edit(ReviewGrade reviewGrade, AccessToken accessToken);

    Result del(Integer id);
    Result printscore(Integer investigatedid);
}